import request from '@/utils/request'

// 查询配种计划列表
export function listMating_plan(query) {
  return request({
    url: '/mating_plan/mating_plan/list',
    method: 'get',
    params: query
  })
}

// 查询配种计划详细
export function getMating_plan(id) {
  return request({
    url: '/mating_plan/mating_plan/' + id,
    method: 'get'
  })
}

// 新增配种计划
export function addMating_plan(data) {
  return request({
    url: '/mating_plan/mating_plan',
    method: 'post',
    data: data
  })
}

// 修改配种计划
export function updateMating_plan(data) {
  return request({
    url: '/mating_plan/mating_plan',
    method: 'put',
    data: data
  })
}

// 删除配种计划
export function delMating_plan(id) {
  return request({
    url: '/mating_plan/mating_plan/' + id,
    method: 'delete'
  })
}